#
# spec file for package yast2-ncurses-pkg (Version 2.17.10)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           yast2-ncurses-pkg
Version:        2.17.10
Release:        1.25.1
License:        GPL v2 or later
Group:          System/YaST
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        yast2-ncurses-pkg-2.17.10.tar.bz2
Prefix:         /usr
BuildRequires:  dejagnu doxygen gcc-c++ yast2-core-devel yast2-devtools
BuildRequires:  blocxx-devel libxcrypt-devel ncurses-devel yast2-ncurses-devel
Summary:        YaST2 - Character Based Package Manager Frontend
Provides:       yast2-ncurses:%{_libdir}/YaST2/plugin/libpy2ncurses.so
Provides:       yast2_ui_pkg
Requires:       glibc-locale
BuildRequires:  yast2-core-devel   >= 2.16.33
BuildRequires:  yast2-libyui-devel >= 2.17.14
BuildRequires:  libzypp-devel >= 4.2.3
Requires:       yast2-core >= 2.16.33
Requires:       yast2-ncurses >= 2.17.2

%description
This package contains character based (ncurses) frontend of YaST2
package manager



%prep
%setup -n yast2-ncurses-pkg-2.17.10

%build
%{prefix}/bin/y2tool y2autoconf
%{prefix}/bin/y2tool y2automake
autoreconf --force --install
export CFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
export CXXFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
%{?suse_update_config:%{suse_update_config -f}}
./configure --libdir=%{_libdir} --prefix=%{prefix} --mandir=%{_mandir}
make %{?jobs:-j%jobs}

%install
make install DESTDIR="$RPM_BUILD_ROOT"
[ -e "%{prefix}/share/YaST2/data/devtools/NO_MAKE_CHECK" ] || Y2DIR="$RPM_BUILD_ROOT/usr/share/YaST2" make check DESTDIR="$RPM_BUILD_ROOT"
for f in `find $RPM_BUILD_ROOT/%{prefix}/share/applications/YaST2/ -name "*.desktop"` ; do
    d=${f##*/}
    %suse_update_desktop_file -d ycc_${d%.desktop} ${d%.desktop}
done
rm $RPM_BUILD_ROOT/%{_libdir}/YaST2/plugin/libpy2ncurses_pkg.la

%clean
rm -rf "$RPM_BUILD_ROOT"

%files
%defattr (-, root, root)
%{_libdir}/YaST2/plugin/libpy2ncurses_pkg.so.*
%{_libdir}/YaST2/plugin/libpy2ncurses_pkg.so
%doc %{prefix}/share/doc/packages/yast2-ncurses-pkg

%changelog
* Fri Nov  7 2008 kmachalkova@suse.cz
- Sort patterns according to order AND category (bnc#439088)
- 2.17.10
* Thu Nov  6 2008 gs@suse.de
- YOU layout improved (enough space for download size)
- Always update the package table after dependency popup is shown
- Increase width of dependency popup (bnc #441414)
- 2.17.9
* Wed Nov  5 2008 gs@suse.de
- Internal change: delete NCPkgPatchSearch popup correctly
* Thu Oct 23 2008 kmachalkova@suse.cz
- Added explanation of 'satisfied' (:-)) pattern/language
  status (bnc#432528)
- Exclude readonly directories from the checking of available
  diskspace(bnc#384368)
- 2.17.8
* Wed Oct 22 2008 gs@suse.de
- Show a "Searching..." popup during package search
- Warning message added to disk error popup
- Internal changes: disk space testing enabled, comments added
* Wed Oct 15 2008 sh@suse.de
- Require latest libyui-devel (API change!)
- V 2.17.7
* Wed Aug  6 2008 kmachalkova@suse.cz
- Show "Start repository manager" menu only when requested by
  `opt(`repoMgr) flag i.e. not in installation phase (bnc#381956)
- Added filtering packages by status (bnc#384085)
- Internal changes (YOU help, pkg selector modes)
- 2.17.6
* Wed Jul 23 2008 kmachalkova@suse.cz
- Added pkg search modes (contains, regexp etc.) selection (uses
  zypp::PoolQuery)
- Search view is now default (bnc#404694)
- Reset info text area on switching to/from search filter
* Wed Jul 23 2008 ma@suse.de
- Remove references to obsolete freshens dependencies.
- 2.17.5
* Mon Jul 21 2008 kmachalkova@suse.cz
- Some look&feel fixes
  * Show locale (language) description
  * Show repository URL in the description area (not in the table)
  * Show how many packages has been found in this search
- Experimental support for patch searching using zypp::PoolQuery
- 2.17.4
* Thu Jul 17 2008 ma@suse.de
- Remove obsolete references to Script/Message/Atom
* Wed Jun 25 2008 kmachalkova@suse.cz
- Focus the button (instead of text area) and make closing the dialog
  possible with single keypress if applicable (bnc#397393)
- Fixed keyboard shortcut (bnc#402349)
- 2.17.3
* Wed Jun 11 2008 kmachalkova@suse.cz
- Use zypp::PoolQuery to filter packages by repositories
- Use zypp::PoolQuery to search in packages
- Search filter: search directly by hitting Enter on search field
- Update label and the description when switching between repositories
  (bnc#397388)
- 2.17.2
* Tue Jun 10 2008 sh@suse.de
- Now using renamed ::setPreferredSize() calls rather than old
  setNiceSize()
- Fixed broken YaST2 logo headers in some source files
- Removed utterly wrong maintainer: ma@suse.de  lines
- V 2.17.1
* Tue Jun 10 2008 gs@suse.de
- Online Update: add preselected patches to the list of
  needed patches
* Wed Jun  4 2008 gs@suse.de
- Improve dependency popup: show solution details (NCRichText),
  only add NCSpacing if there's enough space
* Thu May 29 2008 gs@suse.de
- Show the status of a language pattern and make installation
  possible (bnc #389722)
- 2.16.13
* Wed May 28 2008 kmachalkova@suse.cz
- Do not create pop-up dialogs on the stack (disk space, deps), this
  may lead to segfault (bnc#384471) and/or the latest pop-up being
  always on the top (bnc#384467)
- 2.16.12
* Wed May 21 2008 gs@suse.de
- YOU: correct condition for unneeded patches
- 2.16.11
* Tue May 20 2008 gs@suse.de
-  update the pattern status after the initial solver run,
  status for "installed" patterns/patches is ':-)',
  correct help text and action menu for YOU
* Wed May  7 2008 gs@suse.de
- internal changes: remove remainings of old style logging,
  rearrange inclusion of header files
- 2.16.10
* Tue May  6 2008 gs@suse.de
- YOU: filter name for satisfied patches is 'Unneeded' (like qt),
    use enum for patch filters,
- Do the initial solver run before showing the default list
* Mon May  5 2008 kmachalkova@suse.cz
- Improved YOU layout, showing YOU help ( by gs )
- The rest of deprecated libzypp stuff removed (by gs)
- PkgMenuExtras: correct ret. value to fix build (by coolo)
- 2.16.9
* Mon Apr 28 2008 kmachalkova@suse.cz
- Locale (prev. Language) support + displaying locale-related pkgs
  re-enabled
- Correctly replace filter description area when switching between
  filters (bnc#377857)
- 2.16.8
* Mon Apr 21 2008 kmachalkova@suse.cz
- Pattern content (required, recommended, suggested pkgs) visible
  again
- Show no. of installed vs. total pkgs for a pattern
- 2.16.7
* Mon Apr 21 2008 jsrain@suse.cz
- fixed textdomain
* Sat Apr 12 2008 coolo@suse.de
- adapt to latest libzypp
* Thu Apr  3 2008 coolo@suse.de
- adapt to latest libzypp
* Tue Apr  1 2008 jsrain@suse.cz
- fixed textdomain
* Mon Mar 31 2008 kmachalkova@suse.cz
- Launch repository manager from the menu (Extras) - return `repo_mgr
  symbol from the main `PackageSelector UI loop (FaTE #302517)
- 2.16.6
* Thu Mar 27 2008 kmachalkova@suse.cz
- UI refactoring branch merged back to trunk
- 2.16.5
* Tue Mar 25 2008 coolo@suse.de
- adapt to libzypp 4.6
- V 2.16.4
* Wed Feb 27 2008 coolo@suse.de
- buildrequire ycp bindings
* Mon Feb 25 2008 sh@suse.de
- Provide yast2_ui_pkg in .spec file (bnc #363958)
- V 2.16.3
* Wed Feb 20 2008 coolo@suse.de
- remove self made logging, use UI
* Fri Feb 15 2008 coolo@suse.de
- compile against libzypp trunk - language support pending
  (#ifed out - want to make sure it works before we spend
  too much time into it)
* Tue Feb 12 2008 kmachalkova@suse.cz
-  Initial version splitted from yast2-ncurses 2.16.15
-  2.16.0
